Fin du support pour CentOS 5

Tel que nous l’avons précédemment mentionné dans notre Blog et dans le ScopNEWS, CentOS 5 a atteint sa fin de vie. CentOS a donc officiellement fermé le référentiel pour CentOS EL5.

centoscycle

À partir de maintenant, si vous mettez à jour vos paquetages ScopTEL, vous pourriez obtenir des erreurs similaires à celles-ci-dessous :

[root@pstn ~]# scopserv_yum update

==== scopserv_yum ====

— Executing yum…

Loaded plugins: fastestmirror

Loading mirror speeds from cached hostfile

* centos-extras: mirror.netaddicted.ca

* centos-os: centos.mirror.iweb.ca

* centos-updates: centos.mirror.iweb.ca

* scopserv: us.mirrors.scopserv.com

http://mirror.netaddicted.ca/CentOS/5.11/extras/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404: Not Found

Trying other mirror.

http://mirror2.evolution-host.com/centos/5.11/extras/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404: Not Found

Trying other mirror.

http://centos.mirror.ca.planethoster.net/5.11/extras/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404: Not Found

Trying other mirror.

http://centos.bhs.mirrors.ovh.net/ftp.centos.org/5.11/extras/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404: Not Found

Trying other mirror.

http://centos.westmancom.com/5.11/extras/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404: Not Found

Trying other mirror.

centos-extras                                                                                     | 2.1 kB     00:00

 

Votre installation n’est pas en problème. Cela signifie simplement que les référentiels CentOS EL5 sont fermés. ScopServ a sorti un nouveau paquetage scopserv-server qui utilise vault.centos.org pour maintenir les dépendances existantes. Ce paquetage sera installé automatiquement lors de la mise à jour scopserv_yum. Si le paquetage scopserv-server est mis à jour, vous ne verrez pas cette erreur lors de votre prochaine mise à jour utilisant scopserv_yum.

Choisir une des options suivantes pour résoudre l’erreur :

  1. Mettre à jour les paquetages en utilisant l’interface ScopTEL
  2. Exécuter ‘scopserv_yum update’ (sans les guillemets) à partir de l’invité de commande.
  3. ‘rpm –Uvh http://download.scopserv.com/dist/packages/scopserv-server/scopserv-server-5.1.6.11.20170601-1.nodist.scopserv.noarch.rpm’ (sans les guillemets)

Puisque CentOS 5 est officiellement en fin de vie, ScopServ recommande fortement la mise à jour de votre installation vers CentOS 6.

À défaut de mettre à jour, votre installation pourrait être en danger étant donné que CentOS EL5 n’est plus supporté.

Suivre le lien suivant pour la procédure de mise à jour complète (en anglais seulement) : https://blog.scopserv.com/2016/12/scoptel-centos-6-x-bootdisk-installation-guide/

Note : ScopServ ne pourra être tenu responsable pour d’éventuels problèmes sur un système n’ayant pas été mis à jour tel que recommandé. ScopServ annoncera une date de fin de vie pour les paquetages ScopServ EL5 et son support sous peu.